<?php

################################################################################
# Aastra XML API Classes - AastraIPPhoneStatusEntry
# Firmware 1.4.1 or better
# Copyright Aastra Telecom 2007
#
# Internal class for AastraIPPhoneStatus object.
################################################################################

class AastraIPPhoneStatusEntry extends AastraIPPhone {
	var $_index;
	var $_message;
       var $_type='';
       var $_timeout=0;

	function AastraIPPhoneStatusEntry($index, $message, $type='', $timeout=NULL)
	{
		$this->setIndex($index);
		$this->setMessage($message);
		$this->setType($type);
		$this->setTimeout($timeout);

	}

	function setIndex($index)
	{
		$this->_index = $index;
	}

	function setMessage($message)
	{
		$this->_message = $message;
	}

	function setType($type)
	{
		$this->_type = $type;
	}

	function setTimeout($timeout)
	{
		$this->_timeout = $timeout;
	}


	function render()
	{
		$index = $this->escape($this->_index);
		$message = $this->escape($this->_message);
		$type = $this->escape($this->_type);
		$timeout = $this->_timeout;
		$xml = "<Message index=\"{$index}\"";
		if ($type!='') 
			{
			$xml .= " type=\"{$type}\"";
			if ($timeout!=NULL) $xml .= " Timeout=\"{$timeout}\"";
			}
		$xml .= ">{$message}</Message>\n";
		return($xml);
	}
}
?>